services:
  laconicd:
    restart: unless-stopped
    image: cerc/laconicd:local
    command: ["bash", "-c", "/opt/run-laconicd.sh"]
    environment:
      CERC_MONIKER: ${CERC_MONIKER:-TestnetNode}
      CERC_CHAIN_ID: ${CERC_CHAIN_ID:-laconic_9000-1}
      CERC_PEERS: ${CERC_PEERS}
      MIN_GAS_PRICE: ${MIN_GAS_PRICE:-0.001}
      CERC_LOGLEVEL: ${CERC_LOGLEVEL:-info}
    volumes:
      - laconicd-data:/root/.laconicd
      - ../config/laconicd/run-laconicd.sh:/opt/run-laconicd.sh
    ports:
      - "6060"
      - "26657"
      - "26656"
      - "9473"
      - "9090"
      - "1317"
    healthcheck:
      test: ["CMD", "nc", "-vz", "127.0.0.1", "26657"]
      interval: 30s
      timeout: 10s
      retries: 10
      start_period: 10s
    extra_hosts:
    - "host.docker.internal:host-gateway"

volumes:
  laconicd-data:
